/* Remove Broken Images by Room 34 Creative Services, LLC - https://room34.com */

function r34rbi(elem) {

	// Identify parent 'a' and ancestor '.wp-caption' elements
	var ancestor_caption = elem.closest('.wp-caption');
	var parent_link = elem.parent('a');

	// If ancestor caption exists, remove it entirely
	if (ancestor_caption.length > 0) { ancestor_caption.remove(); }
	
	// If parent link exists, remove it entirely
	else if (parent_link.length > 0) { parent_link.remove(); }
	
	// Just remove the image
	else if (elem.length > 0) { elem.remove(); }

}

jQuery(function() {

	// Images in DOM on initial load
	jQuery('img').on('error', function() { r34rbi(jQuery(this)); });
	
	// Images inserted into DOM by AJAX
	jQuery(document).ajaxComplete(function() {
		jQuery('img').on('error', function() { r34rbi(jQuery(this)); });
	});

});
